using System;
using System.Collections.Generic;
using System.Windows.Forms;
using SampleSupport;
using System.IO;

namespace SampleQueries {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main(string[] args) {
      List<SampleHarness> harnesses = new List<SampleHarness>();

      var eSqlSamples = new EntitySQLSamples();
      harnesses.Add(eSqlSamples);

      var linqToEntitiesSamples = new LinqToEntitiesSamples();
      harnesses.Add(linqToEntitiesSamples);

      Application.EnableVisualStyles();

      using (SampleForm form = new SampleForm("Entity Framework Sample Query Explorer", harnesses)) {
        form.ShowDialog();
      }
    }
  }
}